# Interface GenericGraphics

All Known Implementing Classes:
  `AwtG2D, AwtG2D, JsG2D, JsG2D, PDFWriter`

public interface GenericGraphics

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canDoLineTo()`
`void`
`doStroke(Object g, boolean isBegin)`
`void`
`drawCircle(Object g, int x, int y, int diameter)`
`void`
`drawGrayScaleImage(Object g, Object image2D, int destX0, int destY0, int destX1, int destY1, int srcX0, int srcY0, int srcX1, int srcY1)`
`void`
`drawLine(Object g, int x0, int y0, int x1, int y1)`
`void`
`drawPolygon(Object g, int[] axPoints, int[] ayPoints, int nPoints)`
`void`
`drawRect(Object g, int xPixel, int yPixel, int xPixels, int yPixels)`
`void`
`drawString(Object g, String s, int x, int y)`
`void`
`drawStringRotated(Object g, String s, int x, int y, double angle)`
`void`
`fillBackground(Object g, GenericColor bgcolor)`
`void`
`fillCircle(Object g, int x, int y, int diameter)`
`void`
`fillPolygon(Object g, int[] ayPoints, int[] axPoints, int nPoints)`
`void`
`fillRect(Object g, int x, int y, int width, int height)`
`GenericColor`
`getColor1(int argb)`
`GenericColor`
`getColor3(int red, int green, int blue)`
`GenericColor`
`getColor4(int r, int g, int b, int a)`
`void`
`lineTo(Object g, int x2, int y2)`
`Object`
`newGrayScaleImage(Object g, Object image, int width, int height, int[] buffer)`
`Font`
`setFont(Object g, Font font)`
`void`
`setGraphicsColor(Object g, GenericColor c)`
`void`
`setStrokeBold(Object g, boolean tf)`
`void`
`setWindowParameters(int width, int height)`
`void`
`translateScale(Object g, double x, double y, double scale)`

## Method Details

### getColor1

GenericColor getColor1(int argb)

### getColor3

GenericColor getColor3(int red, int green, int blue)

### getColor4

GenericColor getColor4(int r, int g, int b, int a)

### newGrayScaleImage

Object newGrayScaleImage(Object g, Object image, int width, int height, int[] buffer)

### canDoLineTo

boolean canDoLineTo()

### doStroke

void doStroke(Object g, boolean isBegin)

### drawGrayScaleImage

void drawGrayScaleImage(Object g, Object image2D, int destX0, int destY0, int destX1, int destY1, int srcX0, int srcY0, int srcX1, int srcY1)

### drawLine

void drawLine(Object g, int x0, int y0, int x1, int y1)

### drawCircle

void drawCircle(Object g, int x, int y, int diameter)

### drawPolygon

void drawPolygon(Object g, int[] axPoints, int[] ayPoints, int nPoints)

### drawRect

void drawRect(Object g, int xPixel, int yPixel, int xPixels, int yPixels)

### drawString

void drawString(Object g, String s, int x, int y)

### drawStringRotated

void drawStringRotated(Object g, String s, int x, int y, double angle)

### fillCircle

void fillCircle(Object g, int x, int y, int diameter)

### fillPolygon

void fillPolygon(Object g, int[] ayPoints, int[] axPoints, int nPoints)

### fillRect

void fillRect(Object g, int x, int y, int width, int height)

### fillBackground

void fillBackground(Object g, GenericColor bgcolor)

### lineTo

void lineTo(Object g, int x2, int y2)

### setGraphicsColor

void setGraphicsColor(Object g, GenericColor c)

### setFont

Font setFont(Object g, Font font)

### setStrokeBold

void setStrokeBold(Object g, boolean tf)

### translateScale

void translateScale(Object g, double x, double y, double scale)

### setWindowParameters

void setWindowParameters(int width, int height)